Debian Bug report logs - #604224
pike7.8-dev: installation fails

version graph

Package: pike7.8-core; Maintainer for pike7.8-core is Magnus Holmgren <holmgren@debian.org>; Source for pike7.8-core is src:pike7.8.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 21 Nov 2010 10:10:20 UTC

Severity: normal

Merged with 593436

Found in version pike7.8/7.8.352-dfsg-1

Fixed in version pike7.8/7.8.352-dfsg-4

Done: Magnus Holmgren <holmgren@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Magnus Holmgren <holmgren@debian.org>:
Bug#604224; Package pike7.8-dev. (Sun, 21 Nov 2010 10:10:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Magnus Holmgren <holmgren@debian.org>. (Sun, 21 Nov 2010 10:10:24 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: pike7.8-dev: installation fails
Date: Sun, 21 Nov 2010 10:58:10 +0100
Package: pike7.8-dev
Version: 7.8.352-dfsg-3
Severity: serious
User: debian-qa@lists.debian.org
Usertags: instest-20101120 instest

Hi,

While testing the installation of all packages in unstable, I ran
into the following problem:

> Reading package lists...
> Building dependency tree...
> Reading state information...
> Starting
> Starting 2
> Done
> The following extra packages will be installed:
> libfreetype6 libgmp3c2 libgssapi-krb5-2 libjpeg62 libk5crypto3 libkeyutils1
> libkrb5-3 libkrb5support0 libnettle3 libtiff4 pike7.8-core pike7.8-image
> Suggested packages:
> krb5-doc krb5-user pike7.8-doc pike7.8-svg
> The following NEW packages will be installed:
> libfreetype6 libgmp3c2 libgssapi-krb5-2 libjpeg62 libk5crypto3 libkeyutils1
> libkrb5-3 libkrb5support0 libnettle3 libtiff4 pike7.8-core pike7.8-dev
> pike7.8-image
> 0 upgraded, 13 newly installed, 0 to remove and 0 not upgraded.
> Need to get 5617 kB of archives.
> After this operation, 17.8 MB of additional disk space will be used.
> Get:1 http://localhost/debian/ squeeze/main libkeyutils1 amd64 1.4-1 [6942 B]
> Get:2 http://localhost/debian/ squeeze/main libkrb5support0 amd64 1.8.3+dfsg-2 [45.2 kB]
> Get:3 http://localhost/debian/ squeeze/main libk5crypto3 amd64 1.8.3+dfsg-2 [105 kB]
> Get:4 http://localhost/debian/ squeeze/main libkrb5-3 amd64 1.8.3+dfsg-2 [374 kB]
> Get:5 http://localhost/debian/ squeeze/main libgssapi-krb5-2 amd64 1.8.3+dfsg-2 [130 kB]
> Get:6 http://localhost/debian/ squeeze/main libfreetype6 amd64 2.4.2-1 [376 kB]
> Get:7 http://localhost/debian/ squeeze/main libgmp3c2 amd64 2:4.3.2+dfsg-1 [313 kB]
> Get:8 http://localhost/debian/ squeeze/main libjpeg62 amd64 6b1-1 [94.0 kB]
> Get:9 http://localhost/debian/ squeeze/main libnettle3 amd64 2.0-2 [117 kB]
> Get:10 http://localhost/debian/ squeeze/main libtiff4 amd64 3.9.4-5 [194 kB]
> Get:11 http://localhost/debian/ squeeze/main pike7.8-core amd64 7.8.352-dfsg-3 [3107 kB]
> Get:12 http://localhost/debian/ squeeze/main pike7.8-image amd64 7.8.352-dfsg-3 [414 kB]
> Get:13 http://localhost/debian/ squeeze/main pike7.8-dev amd64 7.8.352-dfsg-3 [340 kB]
> Fetched 5617 kB in 0s (36.5 MB/s)
> Selecting previously deselected package libkeyutils1.
> (Reading database ... 6235 files and directories currently installed.)
> Unpacking libkeyutils1 (from .../libkeyutils1_1.4-1_amd64.deb) ...
> Selecting previously deselected package libkrb5support0.
> Unpacking libkrb5support0 (from .../libkrb5support0_1.8.3+dfsg-2_amd64.deb) ...
> Selecting previously deselected package libk5crypto3.
> Unpacking libk5crypto3 (from .../libk5crypto3_1.8.3+dfsg-2_amd64.deb) ...
> Selecting previously deselected package libkrb5-3.
> Unpacking libkrb5-3 (from .../libkrb5-3_1.8.3+dfsg-2_amd64.deb) ...
> Selecting previously deselected package libgssapi-krb5-2.
> Unpacking libgssapi-krb5-2 (from .../libgssapi-krb5-2_1.8.3+dfsg-2_amd64.deb) ...
> Selecting previously deselected package libfreetype6.
> Unpacking libfreetype6 (from .../libfreetype6_2.4.2-1_amd64.deb) ...
> Selecting previously deselected package libgmp3c2.
> Unpacking libgmp3c2 (from .../libgmp3c2_2%3a4.3.2+dfsg-1_amd64.deb) ...
> Selecting previously deselected package libjpeg62.
> Unpacking libjpeg62 (from .../libjpeg62_6b1-1_amd64.deb) ...
> Selecting previously deselected package libnettle3.
> Unpacking libnettle3 (from .../libnettle3_2.0-2_amd64.deb) ...
> Selecting previously deselected package libtiff4.
> Unpacking libtiff4 (from .../libtiff4_3.9.4-5_amd64.deb) ...
> Selecting previously deselected package pike7.8-core.
> Unpacking pike7.8-core (from .../pike7.8-core_7.8.352-dfsg-3_amd64.deb) ...
> Selecting previously deselected package pike7.8-image.
> Unpacking pike7.8-image (from .../pike7.8-image_7.8.352-dfsg-3_amd64.deb) ...
> Selecting previously deselected package pike7.8-dev.
> Unpacking pike7.8-dev (from .../pike7.8-dev_7.8.352-dfsg-3_amd64.deb) ...
> Setting up libkeyutils1 (1.4-1) ...
> Setting up libkrb5support0 (1.8.3+dfsg-2) ...
> Setting up libk5crypto3 (1.8.3+dfsg-2) ...
> Setting up libkrb5-3 (1.8.3+dfsg-2) ...
> Setting up libgssapi-krb5-2 (1.8.3+dfsg-2) ...
> Setting up libfreetype6 (2.4.2-1) ...
> Setting up libgmp3c2 (2:4.3.2+dfsg-1) ...
> Setting up libjpeg62 (6b1-1) ...
> Setting up libnettle3 (2.0-2) ...
> Setting up libtiff4 (3.9.4-5) ...
> Setting up pike7.8-core (7.8.352-dfsg-3) ...
> update-alternatives: using /usr/bin/pike7.8 to provide /usr/bin/pike (pike) in auto mode.
> Alarm clock
> dpkg: error processing pike7.8-core (--configure):
> subprocess installed post-installation script returned error exit status 142
> dpkg: dependency problems prevent configuration of pike7.8-image:
> pike7.8-image depends on pike7.8-core (= 7.8.352-dfsg-3); however:
> Package pike7.8-core is not configured yet.
> dpkg: error processing pike7.8-image (--configure):
> dependency problems - leaving unconfigured
> configured to not write apport reports
> dpkg: dependency problems prevent configuration of pike7.8-dev:
> pike7.8-dev depends on pike7.8-core (= 7.8.352-dfsg-3); however:
> Package pike7.8-core is not configured yet.
> pike7.8-dev depends on pike7.8-image (= 7.8.352-dfsg-3); however:
> Package pike7.8-image is not configured yet.
> dpkg: error processing pike7.8-dev (--configure):
> dependency problems - leaving unconfigured
> configured to not write apport reports
> configured to not write apport reports
> Errors were encountered while processing:
> pike7.8-core
> pike7.8-image
> pike7.8-dev
> E: Sub-process /usr/bin/dpkg returned an error code (1)

The full build log is available from:
 http://people.debian.org/~lucas/logs/2010/11/20/pike7.8-dev.log

It is reproducible by installing your package in a clean chroot, using
the debconf Noninteractive frontend, and priority: critical.

This test was carried out using about 50 AMD64 nodes of the Grid'5000
platform.  Internet was not accessible from the nodes.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Magnus Holmgren <holmgren@debian.org>:
Bug#604224; Package pike7.8-dev. (Sun, 28 Nov 2010 12:06:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Magnus Holmgren <holmgren@debian.org>. (Sun, 28 Nov 2010 12:06:18 GMT) Full text and rfc822 format available.

Message #10 received at 604224@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 604224@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#604224: pike7.8-dev: installation fails
Date: Sun, 28 Nov 2010 13:05:12 +0100
[Message part 1 (text/plain, inline)]
tag 604224 + unreproducible
thanks

On Sun, 21 Nov 2010 10:58:10 +0100, Lucas Nussbaum wrote:

> While testing the installation of all packages in unstable, I ran
> into the following problem:

I can reproduce your other fails-to-install bug reports in my
cowbuilder chroot but not this one.

The package installs just fine for me.

I found an interesting line in the log:
 
> > Setting up pike7.8-core (7.8.352-dfsg-3) ...
> > update-alternatives: using /usr/bin/pike7.8 to provide /usr/bin/pike (pike) in auto mode.
> > Alarm clock
> > dpkg: error processing pike7.8-core (--configure):
> > subprocess installed post-installation script returned error exit status 142

I've never seen this "Alarm clock" - any idea where this is coming
from?

(The rest are errors following from the first one, I guess.)


Cheers,
gregor
 
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    BOFH excuse #328:  Fiber optics caused gas main leak 
[signature.asc (application/pgp-signature, inline)]

Added tag(s) unreproducible. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 28 Nov 2010 12:06:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Magnus Holmgren <holmgren@debian.org>:
Bug#604224; Package pike7.8-dev. (Mon, 29 Nov 2010 07:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Magnus Holmgren <holmgren@debian.org>. (Mon, 29 Nov 2010 07:48:03 GMT) Full text and rfc822 format available.

Message #17 received at 604224@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: gregor herrmann <gregoa@debian.org>
Cc: 604224@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#604224: pike7.8-dev: installation fails
Date: Mon, 29 Nov 2010 08:15:27 +0100
[Message part 1 (text/plain, inline)]
severity 604224 important
thanks

On 28/11/10 at 13:05 +0100, gregor herrmann wrote:
> tag 604224 + unreproducible
> thanks
> 
> On Sun, 21 Nov 2010 10:58:10 +0100, Lucas Nussbaum wrote:
> 
> > While testing the installation of all packages in unstable, I ran
> > into the following problem:
> 
> I can reproduce your other fails-to-install bug reports in my
> cowbuilder chroot but not this one.
> 
> The package installs just fine for me.
> 
> I found an interesting line in the log:
>  
> > > Setting up pike7.8-core (7.8.352-dfsg-3) ...
> > > update-alternatives: using /usr/bin/pike7.8 to provide /usr/bin/pike (pike) in auto mode.
> > > Alarm clock
> > > dpkg: error processing pike7.8-core (--configure):
> > > subprocess installed post-installation script returned error exit status 142
> 
> I've never seen this "Alarm clock" - any idea where this is coming
> from?
> 
> (The rest are errors following from the first one, I guess.)

I could be an error message spewed by a command called in postinst.
pike7.8-core's postinst calls update-alternatives and $PIKEBIN, which is
pike7.8. However, a grep on their source code doesn't show any "Alarm
clock"...

One of the TODO items for instest is to use dpkg hooks to auto-change
/bin/sh to /bin/sh -x, which would make it easier to understand the
issue...

Since I could not reproduce the failure, I'm lowering the severity.
However, it's probably something to investigate at some point, or at
least to keep open so that, if it happens again, we know it's not the
first time.

- Lucas
[signature.asc (application/pgp-signature, inline)]

Severity set to 'important' from 'serious' Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Mon, 29 Nov 2010 07:48:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Magnus Holmgren <holmgren@debian.org>:
Bug#604224; Package pike7.8-dev. (Mon, 29 Nov 2010 08:21:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Magnus Holmgren <holmgren@debian.org>. (Mon, 29 Nov 2010 08:21:12 GMT) Full text and rfc822 format available.

Message #24 received at 604224@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 604224@bugs.debian.org
Subject: Re: Bug#604224: pike7.8-dev: installation fails
Date: Mon, 29 Nov 2010 09:17:53 +0100
On Mon, 29 Nov 2010 08:15:27 +0100, Lucas Nussbaum wrote:

> > I can reproduce your other fails-to-install bug reports in my
> > cowbuilder chroot but not this one.
> Since I could not reproduce the failure, I'm lowering the severity.
> However, it's probably something to investigate at some point, or at
> least to keep open so that, if it happens again, we know it's not the
> first time.

Fair enough, thanks for taking the time to look into this issue
again.

Cheers,
gregor

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    Kirk to Enterprise -- beam down yeoman Rand and a six-pack. 




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#604224; Package pike7.8-dev. (Mon, 29 Nov 2010 20:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Magnus Holmgren <holmgren@debian.org>:
Extra info received and forwarded to list. (Mon, 29 Nov 2010 20:06:03 GMT) Full text and rfc822 format available.

Message #29 received at 604224@bugs.debian.org (full text, mbox):

From: Magnus Holmgren <holmgren@debian.org>
To: gregor herrmann <gregoa@debian.org>, 604224@bugs.debian.org
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: Re: Bug#604224: pike7.8-dev: installation fails
Date: Mon, 29 Nov 2010 21:01:41 +0100
[Message part 1 (text/plain, inline)]
On söndagen den 28 november 2010, gregor herrmann wrote:
> On Sun, 21 Nov 2010 10:58:10 +0100, Lucas Nussbaum wrote:
> > While testing the installation of all packages in unstable, I ran
> 
> > into the following problem:
> I can reproduce your other fails-to-install bug reports in my
> cowbuilder chroot but not this one.
> 
> The package installs just fine for me.
> 
> I found an interesting line in the log:
> > > Setting up pike7.8-core (7.8.352-dfsg-3) ...
> > > update-alternatives: using /usr/bin/pike7.8 to provide /usr/bin/pike
> > > (pike) in auto mode. Alarm clock
> > > dpkg: error processing pike7.8-core (--configure):
> > > subprocess installed post-installation script returned error exit
> > > status 142
> 
> I've never seen this "Alarm clock" - any idea where this is coming
> from?

Looks like what the shell would print if a child is terminated by SIGALRM 
(exit code 142 = 128+14), but I don't know why that happens.

-- 
Magnus Holmgren        holmgren@debian.org
Debian Developer 
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) unreproducible. Request was from Magnus <holmgren@debian.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 20:21:10 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from Magnus <holmgren@debian.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 20:21:11 GMT) Full text and rfc822 format available.

Bug reassigned from package 'pike7.8-dev' to 'pike7.8-core'. Request was from Magnus <holmgren@debian.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 20:21:11 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions pike7.8/7.8.352-dfsg-3. Request was from Magnus <holmgren@debian.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 20:21:12 GMT) Full text and rfc822 format available.

Merged 593436 604224. Request was from Magnus <holmgren@debian.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 20:21:13 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Magnus <holmgren@debian.org> to control@bugs.debian.org. (Sun, 20 Mar 2011 01:30:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Apr 2011 07:54:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:39:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.